[Bug 23457] New: Android - support for API-9~13 devices

Bug ID 23457
Summary Android - support for API-9~13 devices
Product lldb
Version unspecified
Hardware PC
OS other
Status NEW
Severity normal
Priority P
Component All Bugs
Assignee lldb-dev@cs.uiuc.edu
Reporter vince@nethacker.com
Classification Unclassified

API 21+ requires executables be compiled with -fPIE

So we've enabled -fPIE on lldb-server

Unfortunately, support for PIE only was added to Android in API 14+

We can probably create a trampoline application without PIE that loads the real
lldb-server with dlopen and calls main